import "../../chunk-HMRSQHLY.js";
import "../../chunk-UMUHNSGZ.js";
import "../../chunk-SRT6T6F5.js";
import "../../chunk-XYJWUXJW.js";
import "../../chunk-MO24G7VK.js";
import "../../chunk-2PE4OYYB.js";
import "../../chunk-RNL46FQ3.js";
import "../../chunk-MWUFUBY5.js";
import "../../chunk-GKKLBSFA.js";
import "../../chunk-264HKVNG.js";
import "../../chunk-OU7VXIFG.js";
import "../../chunk-YKE4UGGF.js";
import "../../chunk-FLFB2K34.js";
import "../../chunk-HST4VI64.js";
import "../../chunk-EL4SDTZK.js";
import "../../chunk-A7SUGWC3.js";
import "../../chunk-R274K2VF.js";
import "../../chunk-FG5BB5ND.js";
import "../../chunk-EW6FHLFK.js";
import "../../chunk-MPAXUMZ5.js";
import "../../chunk-HJSNMUK5.js";
import "../../chunk-VQZCYNUI.js";
import "../../chunk-7OAUULYN.js";
import "../../chunk-7R3EWDIM.js";
import "../../chunk-IQFZHKL7.js";
import "../../chunk-OEIXC4KM.js";
import "../../chunk-ZAZOAOA7.js";
import "../../chunk-AJ3WFXQE.js";
import "../../chunk-OW5QQTNX.js";
import "../../chunk-PJDBG5VS.js";
import "../../chunk-5GDLXAIQ.js";
import "../../chunk-5RJDAGI3.js";
import "../../chunk-B6Z5MCOA.js";
import "../../chunk-TSCDX4AS.js";
import "../../chunk-JOSKYDY4.js";
import "../../chunk-OMZ6RIU5.js";
import "../../chunk-VWJ3G4QT.js";
import "../../chunk-6CDXNUF2.js";
import "../../chunk-D6B6MYVG.js";
import "../../chunk-RG6OSZW5.js";
import "../../chunk-TN2XVUJ2.js";
import "../../chunk-E6MPGGAE.js";
import "../../chunk-I45WP5PM.js";
import "../../chunk-MIZOLME5.js";
import "../../chunk-NJF7RWE7.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-UHTVWILC.js";
import "../../chunk-T7PU5CTZ.js";
import "../../chunk-XSB2WAW2.js";
import {
  useSorted
} from "../../chunk-NYCGHEIN.js";
import "../../chunk-AS5LR4AI.js";
import "../../chunk-5Y3HYG6B.js";
import "../../chunk-AFUVZLZZ.js";
import "../../chunk-X2DIUKLP.js";
import "../../chunk-2HWPZ6ZE.js";
import "../../chunk-UO5KXZLS.js";
import "../../chunk-73CVRDI7.js";
import "../../chunk-FL5CT6MC.js";
import "../../chunk-HLRQ5H3N.js";
import "../../chunk-BCFBEP5B.js";
import "../../chunk-EOHXRMVQ.js";
import "../../chunk-DGP32WEQ.js";
import "../../chunk-PIOWR3HK.js";
import "../../chunk-4XPO57AQ.js";
import "../../chunk-ACZDEHYB.js";
import "../../chunk-FSDCRQB3.js";
import "../../chunk-YEEGQOIW.js";
import {
  arrayShuffleForce,
  arrayShuffleInPlace
} from "../../chunk-AEBHR4XF.js";
import "../../chunk-IZT6OHMS.js";
import "../../chunk-GY34N3KU.js";
import "../../chunk-NS4INNCL.js";
import "../../chunk-TYWNSO7K.js";
import "../../chunk-ZMFW3O35.js";
import {
  last
} from "../../chunk-R6KULE2F.js";
import "../../chunk-7NSVDPHN.js";
import "../../chunk-VVNSHVPQ.js";
import "../../chunk-6GHO7LQW.js";

// src/common/data/sorted.spec.ts
describe("sorted", () => {
  const sorted = useSorted();
  const list = [-0.2, -1e-3, 0, 1e-3, 2];
  const items = list.map((sort, index) => ({ index, sort }));
  it("should add correctly", () => {
    expect(sorted.start(items)).toBeLessThan(list[0]);
    expect(sorted.end(items)).toBeGreaterThan(last(list) || 0);
  });
  it("should sort correctly", () => {
    const shuffledItems = arrayShuffleForce(items);
    expect(shuffledItems.map((el) => el.sort)).not.toEqual(list);
    expect(sorted.items(shuffledItems).map((el) => el.sort)).toEqual(list);
  });
  it("should move correctly", () => {
    let items2 = [];
    for (let i = 0; i < 10; i++) {
      items2.push({
        name: String(i),
        sort: i
      });
    }
    expect(
      sorted.items(items2).map((o) => o.name).join("")
    ).toEqual("0123456789");
    const moveItem = items2[8];
    moveItem.sort = sorted.move(1, 8, items2);
    expect(
      sorted.items(items2).map((o) => o.name).join("")
    ).toEqual("0812345679");
    items2 = sorted.items(items2);
    const moveItem2 = items2[1];
    arrayShuffleInPlace(items2);
    moveItem2.sort = sorted.move(8, 1, items2);
    expect(
      sorted.items(items2).map((o) => o.name).join("")
    ).toEqual("0123456789");
  });
});
//# sourceMappingURL=sorted.spec.js.map